Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226292 (perl-XML-Twig) - Merge Review: perl-XML-Twig
Summary: Merge Review: perl-XML-Twig
Keywords:
Status: CLOSED RAWHIDE
Alias: perl-XML-Twig
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:39 UTC by Nobody's working on this, feel free to take it
Modified: 2008-08-12 01:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-25 08:24:37 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)
Specfile patch (deleted)
2007-02-17 02:58 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:39:40 UTC
Fedora Merge Review: perl-XML-Twig

http://cvs.fedora.redhat.com/viewcvs/devel/perl-XML-Twig/
Initial Owner: rnorwood@redhat.com

Comment 1 Jose Pedro Oliveira 2007-02-17 02:58:43 UTC
Created attachment 148260 [details]
Specfile patch

Robin,

The patch includes the usual minor stuff (tabs -> spaces, find options order,
...) plus:
 * eliminates patch0 (it was already being skipped)
 * uses the Makefile.PL -y option

jpo

Comment 2 Robin Norwood 2007-06-28 15:37:41 UTC
applied patch and built for f8

Comment 3 Jose Pedro Oliveira 2007-06-28 16:08:06 UTC
perl-XML-Twig-3.29-2.fc8 build log:
http://koji.fedoraproject.org/koji/getfile?taskID=51444&name=build.log

Robin,

Now it makes sense to add the missing build requirements (modules
mentioned in the test suite output).


----------
Configuration:

perl: 5.008008
OS: linux - i686-linux
XML::Parser              :             2.34 (required)
expat                    :           1.95.8 (required)
Scalar::Util             :             1.18 (for improved memory management)
Encode                   :             2.12 (for encoding conversions)
LWP                      :            5.805 (for the parseurl method)
HTML::Entities           :             1.35 (for the html_encode filter)
Tie::IxHash              :  <not available> (for the keep_atts_order option)
XML::XPathEngine         :  <not available> (to use XML::Twig::XPath)
XML::XPath               :  <not available> (to use XML::Twig::XPath if
Tree::XPathEngine not available)
HTML::TreeBuilder        :  <not available> (to use parse_html and parsefile_html)
Text::Wrap               :      2005.082401 (to use the "wrapped" option for
pretty_print)
Test                     :             1.25 (for testing purposes)
Test::Pod                :  <not available> (for testing purposes)
XML::Simple              :  <not available> (for testing purposes)
XML::Handler::YAWriter   :  <not available> (for testing purposes)
XML::SAX::Writer         :  <not available> (for testing purposes)
XML::Filter::BufferText  :  <not available> (for testing purposes)
IO::Scalar               :  <not available> (for testing purposes)
----------


Comment 4 Robin Norwood 2007-06-29 04:25:54 UTC
Yessir. :-)

build done - perl-XML-Twig-3_29-3_fc8

Comment 5 Marcela Mašláňová 2008-07-25 08:24:37 UTC
#3 all modules available

rpmlint doesn't complain any more.


Note You need to log in before you can comment on or make changes to this bug.